
Foreman - Bug #6280

crash adding a smart variable matcher

06/18/2014 08:20 PM - Joe Gori

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Audit Log   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When entering a smart variable for a puppet class with a really long value in a matcher i get the following crash

ActiveRecord::StatementInvalid

PGError: ERROR: value too long for type character varying(255) : INSERT INTO "audits" ("action", "associated_id",

"associated_name", "associated_type", "auditable_id", "auditable_name", "auditable_type", "audited_changes", "comment",

"created_at", "remote_address", "user_id", "user_type", "username", "version") VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11,

$12, $13, $14, $15) RETURNING "id"

app/controllers/puppetclasses_controller.rb:32:in `update'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

the value attempting to be saved is over 400 characters long

sample value that causes the issue

["10.50.14.6

7600

","10.50.14.7

7600

","10.50.14.8

7600

","10.50.14.9

7600

","10.50.14.10

7600

","10.50.14.11

7600

","10.50.14.12

7600

","10.50.14.14

7600

","10.50.14.14

7600

","10.50.14.15

7600

","10.50.14.16

7600

","10.50.14.17

7600

","10.50.14.16

7600

","10.50.14.17

7600

","10.50.14.20

7600

","10.50.14.21

7600

","10.50.14.22

7600

","10.50.14.23

7600

","10.50.14.28

7600

","10.50.14.29

7600

","10.50.14.40

7600

","10.50.14.41

7600

","10.50.14.42

7600

","10.50.14.43

7600

"]

the smart variable is an array

the match key is a hostgroup of the form gppbase/int1/gppxxxxxxxx

I placed it against the audit log because of the table it was updating

Related issues:

Is duplicate of Foreman - Bug #5671: Stack trace due to audit table field bei... Closed 05/12/2014

History

#1 - 06/18/2014 08:30 PM - Joe Gori

looks like a duplicate of

Bug #5671

sorry guys too quick off the mark.

#2 - 06/19/2014 07:25 AM - Dominic Cleal

- Is duplicate of Bug #5671: Stack trace due to audit table field being too short added

#3 - 06/19/2014 07:25 AM - Dominic Cleal

- Status changed from New to Duplicate
